<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_7ee25317ffedb4fe27bf0b50364" . "69b94" => base64_decode("Y29tbW9uLnR5cGUuZm9sZG" . "Vy"), "_5fde92609a43c91" . "60462278aec06040" . "6" => base64_decode("Y29tbW9uLnVua25v" . "d24="), "_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_eb5682848" . "3919e173c6" . "ab772a8fa7" . "d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1lb" . "nQ="), "_9410d17985408ab6a2962e6fdb" . "621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJu" . "dGFnLnZlcg=="), "_86e12158655092a9838" . "a837f6cf6d639" => base64_decode("Li4vY29tb" . "W9uL2VybX" . "NfcGtnLnB" . "ocA=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_86e12158655092a9838a837f6cf6d6" . "39"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_86e12158655092a9838a837f6cf6" . "d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7ee25317ffedb4fe27bf0b50" . "36469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_eb56828483919e" . "173c6ab772a8fa7" . "d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_9410d17985408ab6a" . "2962e6fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5fde92609a43c9160462278a" . "ec060406"]);
    }
}